package kadai;
import static org.junit.Assert.*;
import java.util.Map;
import kaitou.TDUMap1;
import org.junit.Test;
public class TDUMap1Test {
	@Test
	public void testSizeTDUMapEntry() {
		Map<String, Integer> m = new TDUMap1(null);
		assertEquals(0,m.size());
		final TDUMapEntry1 e1 = new TDUMapEntry1("abc",123);
		m = new TDUMap1(e1);
		assertEquals(1,m.size());
		final TDUMapEntry1 e2 = new TDUMapEntry1("def",456);
		e1.left=e2;
		m = new TDUMap1(e1);
		assertEquals(2,m.size());
		final TDUMapEntry1 e3 = new TDUMapEntry1("ghi",789);
		e1.right=e3;
		m = new TDUMap1(e1);
		assertEquals(3,m.size());
		final TDUMapEntry1 e4 = new TDUMapEntry1("jkl",12);
		final TDUMapEntry1 e5 = new TDUMapEntry1("mno",345);
		final TDUMapEntry1 e6 = new TDUMapEntry1("pqr",678);
		e2.left=e4;
		e2.right=e5;
		e3.right=e6;
		m = new TDUMap1(e1);
		assertEquals(6,m.size());
	}
}
