package kadai;
import static org.junit.Assert.*;
import java.util.Map;
import kaitou.TDUMap3;
import org.junit.Test;
public class TDUMap3Test {
	@Test
	public void testPutStringInteger() {
		Map<String,Integer> map = new TDUMap3();
		assertEquals("[]",map.entrySet().toString());
		assertEquals(null,map.put("jkl",12));
		assertEquals("[jkl=12]",map.entrySet().toString());
		assertEquals(new Integer(12),map.put("jkl",13));
		assertEquals("[jkl=13]",map.entrySet().toString());
		assertEquals(null,map.put("def",456));
		assertEquals("[def=456, jkl=13]",map.entrySet().toString());
		assertEquals(null,map.put("mno",345));
		assertEquals("[def=456, jkl=13, mno=345]",map.entrySet().toString());
		assertEquals(null,map.put("abc",123));
		assertEquals("[abc=123, def=456, jkl=13, mno=345]",map.entrySet().toString());
		assertEquals(null,map.put("ghi",789));
		assertEquals("[abc=123, def=456, ghi=789, jkl=13, mno=345]",map.entrySet().toString());
		assertEquals(null,map.put("pqr",678));
		assertEquals("[abc=123, def=456, ghi=789, jkl=13, mno=345, pqr=678]",map.entrySet().toString());
		assertEquals(new Integer(13),map.put(new String("jkl"),901));
		assertEquals("[abc=123, def=456, ghi=789, jkl=901, mno=345, pqr=678]",map.entrySet().toString());
		assertEquals(null,map.put("ABC",456));
		assertEquals("[ABC=456, abc=123, def=456, ghi=789, jkl=901, mno=345, pqr=678]",map.entrySet().toString());
		assertEquals(new Integer(456),map.put("def",234));
		assertEquals("[ABC=456, abc=123, def=234, ghi=789, jkl=901, mno=345, pqr=678]",map.entrySet().toString());
		assertEquals(new Integer(345),map.put("mno",567));
		assertEquals("[ABC=456, abc=123, def=234, ghi=789, jkl=901, mno=567, pqr=678]",map.entrySet().toString());
	}
}
