package kadai;
import static org.junit.Assert.*;
import java.util.Iterator;
import org.junit.Before;
import org.junit.Test;
public class TDUSetTest {
	Integer[] array = {9,1,2,8,3,4,5,7,6};
	TDUSet<Integer> set1;
	TDUSet<Integer> set2;
	@Before
	public void setUp(){
		set1 = new TDUSet<Integer>(new Integer[0]);
		set2 = new TDUSet<Integer>(array);
	}
	@Test
	public void testSize() {
		assertEquals(0,set1.size());
		assertEquals(array.length,set2.size());
	}

	@Test
	public void testIterator() {
		Iterator<Integer> it1 = set1.iterator();
		assertFalse(it1.hasNext());
		Iterator<Integer> it2 = set2.iterator();
		for(int i=0 ; i< array.length; i++){
			assertTrue(it2.hasNext());
			assertEquals(array[i],it2.next());
		}
		assertFalse(it2.hasNext());
	}
	@Test
	public void testToString0() {
		assertEquals("[]",set1.toString());
		assertEquals("[9, 1, 2, 8, 3, 4, 5, 7, 6]",set2.toString());
	}

}
